Skip to main content
GET
/
image
/
{image_type}
/
{image_id}
/
{field_id}
Get Image URL
curl --request GET \
  --url https://api.swoogo.com/api/v1/image/{image_type}/{image_id}/{field_id} \
  --header 'Authorization: Bearer <token>'
{
  "field": "profile_picture",
  "id": 26361060,
  "message": "File Retrieved Successfully",
  "status": 200,
  "type": "registrant",
  "url": "https://assets.swoogo.com/uploads/full/2879900-64fa2b4640a68.png"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

image_type
integer
required

integer - required - The ID of the image you want to get

Example:

1

image_id
integer
required

integer - required - The ID of the image you want to get

Example:

1

field_id
integer
required

integer - required - The ID of the image you want to get

Example:

1

Response

Get an Image URL

field
string
Example:

"profile_picture"

id
number
Example:

26361060

message
string
Example:

"File Retrieved Successfully"

status
number
Example:

200

type
string
Example:

"registrant"

url
string
Example:

"https://assets.swoogo.com/uploads/full/2879900-64fa2b4640a68.png"